Bug 7081 - tries and fails to access "hdb" for some reason...
tries and fails to access "hdb" for some reason...
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 1999-11-17 14:01 EST by banibrata dutta
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-13 20:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description banibrata dutta 1999-11-17 14:01:21 EST
keep getting the following 4 lines of prints when i try to do ppp connect
to my ISP using "rp3" (after having configured thru "rp3-conf")
--- mesg ----
  Unknown Error Type: Not ready -- (Sense key=0x02)
  Medium not present -- (asc=0x3a, ascq=0x00)
  The failed "Test Unit Ready" packet command was:
  "00 00 00 00 00 00 00 00 00 00 00 00 "
--- mesg ----
and this is incessant... all console prints... of course no route is set
up, as i am not able to connect to anysite... ping too fails... my ISP
supports Terminal/Script based login. doesn't require PAP or CHAP auth. but
neither "kppp" nor "rp3" are able to connect with the very same settings
that worked with "kppp" on RH5.2
Comment 1 Michael K. Johnson 1999-11-18 18:48:59 EST
This is an IDE error, I believe.  What device do you have on hdb?
Comment 2 banibrata dutta 1999-11-21 07:35:59 EST
i do not have the CDROM as hdb, but why should that cause a problem...?? and why
does this come up (100% reproducibly) when i try to fire up a PPP connection to
my ISP...
Comment 3 Michael K. Johnson 1999-11-22 15:38:59 EST
I'm not sure I understand what you meant when you said:
>i do not have the CDROM as hdb, but why should that cause a problem...??

My supposition is that either
a) you have bad sectors or some other error on the hard drive that
   has the pppd daemon or one of the other scripts or programs used
   to set up a PPP connection, or
b) you have used hdparm or irqtune and the new settings do not work
   well with an active serial session.

When you installed, did you tell the install program to check for
bad sectors?
Comment 4 banibrata dutta 1999-12-10 12:43:59 EST
what happens is that, if i boot my system without a CD in the drive, it keeps
giving the prints on console (shit+alt+f1 to f6 all have this cribbage on...)
but the moment i put in a CD it stops... i have installed the regular RH6.1 ...
and hbd has no question of bad sectors i guess, as it is CD... (:-/)
Comment 5 Michael K. Johnson 1999-12-10 16:25:59 EST
You said before that you do NOT have your cdrom as hdb.
Which is it?
Comment 6 Nalin Dahyabhai 2000-01-19 19:09:59 EST
This is very likely a result of running magicdev as part of your GNOME session.
It polls the CD-ROM drive, checking for a disc, and if it detects one, it mounts
it under /mnt/cdrom.  This is normal.

If you want to remove magicdev, you can remove the package by running
"rpm -e magicdev" as root, or you can just prevent it from starting by selecting
"Settings->Session Manager Properties..." from the GNOME menu, selecting the
line that lists "magicdev" in the "Program" column, pressing the "Remove"
button, and pressing "OK".

Please let us know if this solves your problem.
Comment 7 banibrata dutta 2000-01-20 01:56:59 EST
the problem seems to have dissapeared by just upgrading the ppp package, which
is most unlikely - even to me. also, there seems to be an associated problem,
atleast related to ppp... thru PPP i do a script based login to my ISP...by even
after pressing the "Continue" button on the terminal-confirmation button, which
is supposed to bring up the route, set the default gateway and after starting
"pppd"... is failing somewhere. i do see a default gateway, but even with it
"ping" doesn't work... but when i open the "kppp" detail's window, and then do a
"/sbin/route add default gw <IP-addr-assigned-to-me-by-ISP>", is works... i.e. i
have to do this manual exercise... is this a bug... ?? or what...?
Comment 8 Nalin Dahyabhai 2000-01-24 08:29:59 EST
This is unusual.  When you look at the routing table with "/sbin/route -n",
does the default route indeed go through the PPP interface?  If not, you
can open /etc/sysconfig/network with a text editor and remove the GATEWAY
and GATEWAYDEV variables, which will prevent the bogus default route from
being added and allow pppd to do the right thing.

Note You need to log in before you can comment on or make changes to this bug.